MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024417Community[OCCT] OCCT:Modeling Algorithmspublic2013-11-28 20:102016-04-20 15:50
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version64 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024417: BRepAlgoAPI_Section fails on attached shapes
DescriptionThe output of the operation on the attached shapes is an empty shape. The tolerance of both shapes is: 0,005. Both shapes seem to be valid. Both shapes are composed of BSplines.

BRepAlgo_Section can tackle the faces.
Steps To Reproducepload ALL
restore circle.brep s1
restore face.brep s2
checkshape s1
checkshape s2
bop s1 s2
bopsection result
checkshape result
vinit
vdisplay result
vsetdispmode result 1
vfit
TagsNo tags attached.
Test case numberbugs modalg_6 bug24417
Attached Files? file icon circle.brep (14,367 bytes) 2013-11-28 20:10
? file icon face.brep (35,526 bytes) 2013-11-28 20:12

- Relationships

-  Notes
(0032206)
abv (manager)
2014-09-26 11:01

The problem is still present on current master
(0043609)
msv (developer)
2015-07-28 10:07

The command bopcurves gives 4 very short not connected curves.
(0048798)
nbv (developer)
2015-12-07 14:44

Dear Mikhail,

The result seems to be OK o the current MASTER.

Draw[42]> nbs result
Number of shapes in rr
 VERTEX : 2
 EDGE : 1
 WIRE : 0
 FACE : 0
 SHELL : 0
 SOLID : 0
 COMPSOLID : 0
 COMPOUND : 1
 SHAPE : 4
(0048809)
msv (developer)
2015-12-07 16:48

Dear Nikolay, please create test case for this bug.
(0048869)
git (administrator)
2015-12-08 17:27

Branch CR24417 has been created by nbv.

SHA-1: 93f4036f3d6ee5bf5f7f2030b21d4f8f117cdbdc


Detailed log of new commits:

Author: nbv
Date: Tue Dec 8 17:25:50 2015 +0300

    0024417: BRepAlgoAPI_Section fails on attached shapes
    
    Creation test case for this issue
(0048870)
nbv (developer)
2015-12-08 17:28

Dear Mikhail,

Please review CR24417 branch.
(0048875)
msv (developer)
2015-12-08 18:24

Reviewed.
(0048982)
git (administrator)
2015-12-10 16:38

Branch CR24417 has been updated by mkv.

SHA-1: a4deca5d52d6448644b1372c1d08a5016344d97a


Detailed log of new commits:

Author: mkv
Date: Thu Dec 10 16:38:02 2015 +0300

    Small correction of test case

(0048984)
mkv (tester)
2015-12-10 16:40

Dear BugMaster,

http://occt-tests/CR26949-master-occt-64/Debian70-64/bugs/modalg_6/bug24417.html [^]
http://occt-tests/CR26949-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug24417.html [^]
bugs modalg_6 bug24417: OK

Branch CR24417 is TESTED.
(0053012)
git (administrator)
2016-04-17 14:00

Branch CR24417 has been deleted by kgv.

SHA-1: a4deca5d52d6448644b1372c1d08a5016344d97a

- Related Changesets
occt: master 5fb5b5c4
Timestamp: 2015-12-08 14:25:50
Author: nbv
Committer: bugmaster
Details ] Diff ]
0024417: BRepAlgoAPI_Section fails on attached shapes

Creation test case for this issue
add - tests/bugs/modalg_6/bug24417 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-11-28 20:10 Pawel New Issue
2013-11-28 20:10 Pawel Assigned To => ifv
2013-11-28 20:10 Pawel File Added: circle.brep
2013-11-28 20:12 Pawel File Added: face.brep
2013-11-28 20:12 Pawel Description Updated View Revisions
2013-12-21 10:13 abv Target Version 6.7.0 => 6.7.1
2014-04-04 18:27 abv Target Version 6.7.1 => 6.8.0
2014-09-26 11:01 abv Note Added: 0032206
2014-09-26 11:01 abv Status new => assigned
2014-09-26 11:01 abv Target Version 6.8.0 => 7.1.0
2015-07-22 17:56 abv Assigned To ifv => ssv
2015-07-28 09:30 msv Assigned To ssv => pkv
2015-07-28 10:06 msv Assigned To pkv => nbv
2015-07-28 10:07 msv Note Added: 0043609
2015-12-07 14:44 nbv Note Added: 0048798
2015-12-07 14:44 nbv Assigned To nbv => msv
2015-12-07 14:44 nbv Status assigned => feedback
2015-12-07 16:48 msv Note Added: 0048809
2015-12-07 16:48 msv Assigned To msv => nbv
2015-12-07 16:48 msv Status feedback => assigned
2015-12-08 17:27 git Note Added: 0048869
2015-12-08 17:28 nbv Note Added: 0048870
2015-12-08 17:28 nbv Assigned To nbv => msv
2015-12-08 17:28 nbv Status assigned => resolved
2015-12-08 18:24 msv Note Added: 0048875
2015-12-08 18:24 msv Assigned To msv => bugmaster
2015-12-08 18:24 msv Status resolved => reviewed
2015-12-08 18:25 msv Target Version 7.1.0 => 7.0.0
2015-12-08 19:40 mkv Assigned To bugmaster => mkv
2015-12-10 16:38 git Note Added: 0048982
2015-12-10 16:40 mkv Note Added: 0048984
2015-12-10 16:40 mkv Test case number => bugs modalg_6 bug24417
2015-12-10 16:40 mkv Assigned To mkv => bugmaster
2015-12-10 16:40 mkv Status reviewed => tested
2015-12-11 11:38 bugmaster Changeset attached => occt master 5fb5b5c4
2015-12-11 11:38 bugmaster Status tested => verified
2015-12-11 11:38 bugmaster Resolution open => fixed
2016-04-17 14:00 git Note Added: 0053012
2016-04-20 15:42 user533 Fixed in Version => 7.0.0
2016-04-20 15:50 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker